html, body, form {
height: 100%;
margin: 0;
padding: 0;
overflow: visible;
font-size: 8pt;
font-family: arial, helvetica, tahoma, sans-serif;
}

input, select, textarea {
font-size: 8pt;
font-family: arial, helvetica, tahoma, sans-serif;
}

a[target="_blank"]::after {
content: '';
background: no-repeat url(../../I/external-small.png) -3px -3px;
display: inline-block;
height: 9px;
margin: 0 0 0 5px;
width: 10px;
}

.tbl {
border-collapse: separate;
border-spacing: 0;
border: solid 1px gray;
}

.CompletionList {
min-width: 400px;
border: solid 1px gray;
list-style-type: none;
text-align: left;
background-color: #EEEEEE;
margin: 0 0 0 -200px;
padding: 2px;
cursor: pointer;
}

.CompletionListItem {
}

.CompletionListHighlightedItem {
background-color: darkblue;
color: white;
}

.gvrow {
cursor: pointer;
background-color: #EEEEEE;
}

.gvrow:hover, .gvrow-selected:hover {
background-color: #CCCCCC;
}

.gvrow-selected {
background-color: #D0B0B0;
color: darkblue;
cursor: pointer;
}

.watermark {
font-style: italic;
background-color: #FDFDFD;
color: gray;
}

.pnl_hdr {
border-bottom: solid 1px gray;
padding: 1px;
background: #EEEEEE;
font-weight: bold;
}

.btn {
padding: 2px;
border: solid 1px transparent;
border-radius: 3px;
}

.btn:hover {
border: solid 1px #333333;
background: #FFFFFF;
opacity: 0.8;
}

.imgbtn {
padding: 2px 3px 2px 18px;
background-repeat: no-repeat;
background-position: 1px;
border-radius: 4px;
border: solid 1px gray;
}

.imgbtn:hover {
padding: 2px 3px 2px 18px;
background: darkblue;
color: #FFFFFF;
background-repeat: no-repeat;
background-position: 1px;
}

.explorer_btn {
margin: -5px -1px 0 -1px;
padding: 2px 4px;
display: none;
}

/* Safety incidents */
.safety-event {
background: #DDFFFF;
}

.safety-hazard {
background: #DDFFDD;
}

.safety-mechanism {
background: #DDDDFF;
}

.safety-injury {
background: #FFFFDD;
}

.safety-location {
background: #FFDDFF;
}

.safety-object {
background: #FFDDDD;
}

.safety-agent {
background: #DDDDDD;
}

.ajax__fileupload_selectFileContainer {
border-radius: 3px;
background: #BBBBBB;
}

.ajax__fileupload_selectFileButton {
font-size: 8pt !important;
font-family: arial, helvetica, tahoma, sans-serif;
}

.gvbtn {
margin: -1px 0;
}

/*Telerik*/
div.RadTreeView {
font-family: arial, helvetica, tahoma, sans-serif;
line-height: 13px;
}

div.RadTreeView .rtSp {
height: 13px;
}

div.RadTreeView .rtHover .rtIn,
div.RadTreeView .rtSelected .rtIn {
padding: 0 1px 0;
}

div.RadTreeView .rtIn {
padding: 1px 2px 1px;
}


/*RadGrid*/
div.RadGrid_Default .rgMasterTable {
border-collapse: collapse;
font-family: arial, helvetica, tahoma, sans-serif;
font-size: 8pt;
}

div.RadGrid_Default .rgCommandTable td,
div.RadGrid_Default .rgCommandTable tr,
div.RadGrid_Default .rgCommandRow table {
padding: 0;
}

div.RadGrid_Default select,
div.RadGrid_Default input {
font-size: 8pt;
}

div.RadGrid_Default .rgRow td,
div.RadGrid_Default .rgAltRow td,
div.RadGrid_Default .rgEditRow td,
div.RadGrid_Default .rgHeader,
div.RadGrid_Default .rgGroupHeader,
div.RadGrid_Default .rgFooter td,
div.RadGrid_Default .rgPager table,
div.RadGrid_Default .rgPager,
.rgPagerButton,
div.RadGrid_Default th.rgResizeCol,
div.RadGrid_Default .rgFilterRow td {
font-family: arial, helvetica, tahoma, sans-serif;
font-size: 8pt !important;
color: black;
padding: 0 1px;
}

div.RadGrid_Default .rgRow td,
div.RadGrid_Default .rgAltRow td,
div.RadGrid_Default .rgEditRow td,
div.RadGrid_Default .rgHeader,
div.RadGrid_Default .rgFilterRow td,
div.RadGrid_Default .rgFooter td {
border: 1px solid grey !important;
}

div.RadGrid_Default .rgSelectedRow td {
background: #C0C0C0;
}

div.RadGrid_Default .rgHeaderDiv {
background: none;
}

div.RadGrid_Default .rgEditForm,
div.RadGrid_Default .rgEditForm .rgHeader {
background: #DDDDDD;
}

div.RadGrid_Default .rgHeader,
div.RadGrid_Default .rgCaption {
font-family: arial, helvetica, tahoma, sans-serif;
font-size: 8pt;
font-weight: bold;
}

div.RadGrid_Default .rgPager td {
padding: 1px;
}

table.rgCommandTable input:hover {
border: solid 1px #333333;
border-radius: 3px;
}

/*RadX*/
html body .RadInput_Default {
font-size: 8pt !important;
}

html body .RadInput_Default .riTextBox {
font-size: 8pt !important;
}

div.RadDropDownList_Default {
font-size: 8pt;
}

div.RadDropDownList_Default .rddlInner {
padding: 1px 22px 1px 3px;
}

div.RadComboBox_Default {
vertical-align: top;
}

div.RadComboBox_Default .rcbInput {
font-size: 8pt;
}

div.RadDropDownTree .rddtInner {
padding: 1px 0 1px 2px;
}

div.RadSearchBox Input,
div.RadSearchBox .rsbInput,
div.RadSearchBox span {
font-family: arial, helvetica, tahoma, sans-serif;
font-size: 8pt;
height: 16px;
}

div.RadSearchBox .rsbButton {
margin: -2px 0 0 -2px;
padding: 1px 0 0 1px;
height: 20px;
}

div.rsbPopup {
background: #eeeeee;
}

div.rsbPopup .rsbShowAll {
margin: 0;
}

.RadMenu .rmGroup .rmLeftImage {
top: 0 !important;
}

span.RadButton_Default .rbDecorated {
font-family: arial, helvetica, tahoma, sans-serif;
font-size: 8pt;
padding-right: 3px;
}

div.RadGantt .rgtHeader .rgtActions {
float: right;
}

div.RadGantt_Default {
font-size: 8pt;
}

div.RadNotification_Default .rnContentWrapper {
background-color: #FFFFAA;
color: #000099;
}

div.RadNotification_Default .rnContent {
padding: 0;
}

span.ruFileWrap {
width: 280px;
}

/*ReportViewer*/
div.k-widget {
font-family: arial, helvetica, tahoma, sans-serif;
font-size: 8pt;
}

div.k-card-title {
font-size: 9pt;
}

.trv-parameters-area .trv-parameters-wrapper .trv-parameter-editor-boolean {
width: 1.5rem !important;
height: 1.5rem !important;
}

div.trv-parameters-area.k-widget.k-pane.k-pane-static.preview > div.trv-parameters-area-footer > button {
font-size: 10pt;
}

div.trv-pages-area.interactive .trv-page-container .trv-page-wrapper .trv-report-page {
padding: 0 0 1em 0;
}

div.k-notification.trv-notification > div > div {
font-size: 10pt;
}
div.k-notification.trv-notification > div > span {
font-size: 12pt !important;
}

.rptvwr {
position: absolute;
left: 0;
right: 0;
top: 22px;
bottom: 0;
overflow: hidden;
}

/*jquery-ui tabs*/
.ui-widget {
font-family: arial, helvetica, tahoma, sans-serif;
font-size: 8pt;
}

.ui-widget input,
.ui-widget select,
.ui-widget textarea,
.ui-widget button {
font-family: arial, helvetica, tahoma, sans-serif;
font-size: 8pt;
}

.ui-widget-header {
border: none;
background: transparent;
color: #ffffff;
}

.ui-state-default,
.ui-widget-content .ui-state-default,
.ui-widget-header .ui-state-default {
border: 1px solid #cccccc;
font-weight: bold;
}

.ui-state-active,
.ui-widget-content .ui-state-active,
.ui-widget-header .ui-state-active {
border: 1px solid gray;
}

.ui-state-active a,
.ui-state-active a:link,
.ui-state-active a:visited {
color: black;
}

.ui-state-hover a,
.ui-state-hover a:hover,
.ui-state-hover a:link,
.ui-state-hover a:visited {
color: #404040;
text-decoration: none;
}

.ui-tabs {
padding: 0;
}

.ui-tabs .ui-tabs-nav {
margin: 0;
padding: 0;
}

.ui-tabs .ui-tabs-nav li a {
padding: 4px 2px;
}

.ui-tabs .ui-tabs-panel {
padding: 0;
}

.tabs {
font-size: 8pt;
width: 400px;
height: 20px;
}

.tabs li a.tabs-inner {
line-height: 19px;
height: 19px;
}

.tabs-header {
background: #DDDDDD;
}

/*FileUpload*/
.dropzone {
pointer-events: none;
position: absolute;
left: 0;
right: 0;
top: 0;
bottom: 0;
margin: 2px;
border-radius: 10pt;
font-size: 24pt;
display: flex;
justify-content: center;
align-items: center;
color: transparent;
}

.dropzone.show {
border-style: dashed;
border-width: 3px;
border-color: slateblue;
transition: all 0.2s ease-out;
background-color: rgba(120, 180, 255, 0.6);
color: blue;
}

.upl_ctrl {
position: absolute;
right: 0;
bottom: 0;
height: 0;
background-color: aliceblue;
border-color: steelblue;
border-width: 0;
border-style: solid;
border-bottom-style: none;
border-top-left-radius: 10px;
border-top-right-radius: 10px;
transition: all 0.4s ease;
}

.upl_ctrl.open {
border-width: 4px;
height: 353px;
padding: 4px;
}

.upl_ctrl.min {
border-width: 4px;
height: 22px;
padding: 4px;
}

.upl_ctrl .upl_title {
display: inline-block;
margin: 5px 5px 5px;
font-weight: bold;
}

.upl_ctrl .upl_close {
position: absolute;
right: 5px;
top: 5px;
border-radius: 5px
}

.upl_ctrl .upl_min {
position: absolute;
right: 35px;
top: 5px;
border-radius: 5px
}

.upl_ctrl .upl_clr {
}

.upl_ctrl .upl_close:hover, .upl_min:hover {
background-color: #bbbbff;
}

.upl_ctrl .upl_close:active, .upl_min:active {
background-color: steelblue;
}

.upl_ctrl .progress {
width: 600px;
height: 328px;
margin-top: 5px;
overflow-y: scroll;
}

.file {
border: solid 1px gray;
border-radius: 3px;
margin-bottom: 2px;
position: relative;
background: linear-gradient(to right, transparent 60%, steelblue);
background-size: 200% 100%;
background-position: right bottom;
transition: all 1s ease;
line-height: 10pt;
padding: 0 3px;
}

.file.pending {
background: white;
}

.file.done {
background: lightgreen;
transition: all 2s ease;
}

.file.done img {
vertical-align: bottom;
margin: -2px 2px;
}

.file a {
display: block;
position: relative;
color: black;
}

#progress > div.file.pending > a > img {
vertical-align: bottom;
margin: -2px 2px;
}
